import objectdraw.*;
import java.awt.*;

/*
 * IrateIbises, a complete WindowController class to create, grow,
 * and set the color of some goofy-looking ibises.
 *
 * Note: You should not need to modify this class.
 * 
 * @author Jim Teresco, The College of Saint Rose, CSC 252, Spring 2014
 *
 * $Id: template.java 2227 2013-10-24 03:37:54Z terescoj $
 */

public class IrateIbises extends WindowController {

    // We keep a single reference to an Ibis that we can interact with
    private Ibis newestIbis;
    
    // When the mouse is pressed, we first check to see if the mouse press
    // location is in the newest Ibis's eyes.  If so, we tell that Ibis to
    // change its color.  If not, create a new Ibis at the press point.
    public void onMousePress(Location point) {
        
        if (newestIbis != null && newestIbis.eyesContain(point)) {
            newestIbis.setRandomColor();
        }
        else {
            newestIbis = new Ibis(point, canvas);
        }
    }
    
    // When we drag, we tell the newest Ibis to grow - it is up to the Ibis
    // to make sure it does not grow too tall and to open its eyes when it
    // reaches its full height.
    public void onMouseDrag(Location point) {
    
        newestIbis.grow();
    }
}
